# config.mk: Configurable parameters of Sherlock
# lib/autoconf.h is automatically generated from this file.

### Compiler options ###

# For gcc 3.0 and newer
OPT=-O2 -fstrict-aliasing -finline-limit=2000 -march=$(CPU_ARCH)
# For older versions of gcc
#OPT=-O2 -fstrict-aliasing
# Warnings
CWARNS=-Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes -Winline
# Linker flags
LOPT=
# Extra libraries
LIBS=

# If debugging:
#DEBUG=-DDEBUG -ggdb

# If debugging memory allocations:
#LIBS += -lefence
#DEBUG += -DDMALLOC
#LIBS += -ldmalloc

# If building release versions:
DEBUG=
OPT+=-fomit-frame-pointer
LOPT+=-s

### CPU Type and Features ###

CPU_ARCH=k6
CPU_I386=1
CPU_LITTLE_ENDIAN=1
#CPU_BIG_ENDIAN=1
CPU_ALLOW_UNALIGNED=1
CPU_STRUCT_ALIGN=4
#CPU_64BIT_POINTERS=1

### OS Type ###

CONFIG_LINUX=1

### Features ###

# Number of sections we remember limits for
SHERLOCK_NUM_SECTIONS=1

### Customizations ###

# Header with customizations
SHERLOCK_CUSTOM="lib/custom.h"
# Version suffix
SHERLOCK_VERSION_SUFFIX=""
# Extra modules to compile in
CUSTOM_MODULES=

### Installation ###

INSTALL_DIR=~/run
